//
//  ELAILinkBleManager+SmartRing.h
//  Elink
//
//  Created by 周鹏 on 2023/7/31.
//  Copyright © 2023 iot_iMac. All rights reserved.
//

#import "ELAILinkBleManager.h"

NS_ASSUME_NONNULL_BEGIN
@interface ELAILinkBleManager (SmartRing)

//APP 获取设备基础信息（Type：01）
- (NSData *)smartRingGetStatus;
/* 设置体检模式，打开 */
-(NSData *)smartRingSetCheck;
/* 设置体检模式，关闭 */
-(NSData *)smartRingCloseCheck;
/* 设置/获取日常检测周期 */
-(NSData *)smartRingSetDetectionPeriodWithInterval:(NSInteger)interval;
/* 获取历史记录 */
-(NSData *)smartRingReocrdWithType:(NSInteger)type;
//APP获取设备状态（Type：06）
- (NSData *)smartRingGetDeviceStatus;
//设置Unix时间（Type：07）
- (NSData *)smartRingSetUnix;
/* 获取日常检测周期开关 */
- (NSData *)smartRingGetAutoCheckOpen;
/* 设置日常检测周期开关 */
- (NSData *)smartRingSetAutoCheckOpen:(BOOL)open;
/* 获取JF传感器信息 */
- (NSData *)smartRingGetJFInfo;
/* 设置RRI */
- (NSData *)smartRingSetRRIWithType:(NSInteger)type;
/* 获取RRI */
- (NSData *)smartRingGetRRI;

/* 设置/获取睡眠步数周期 */
-(NSData *)smartRingSetSleepDetectionPeriodWithInterval:(NSInteger)interval;

/* 获取睡眠步数历史记录 */
-(NSData *)smartRingSleepReocrdWithType:(NSInteger)type;

/* 1. APP 收到任何 A7 指令，都需要返回一组确认指令
 2． 返回确认指令后，再返回其他通信指令 */
- (NSData *)receiveA7Reply;

@end

NS_ASSUME_NONNULL_END
